/*
 * Created on 24.06.2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 */
package networkconsole.datamodel;

/**
 * @author Eugene Prokopiev <eugene_prokopiev@mail.ru>
 * 
 */
public abstract class Entry {
	
	private IEntryAdapter adapter;
	
	void removeChangeListener() {
		adapter = null;
	}

	void addChangeListener(IEntryAdapter adapter) {
		this.adapter = adapter;
	}
	
	protected void change() throws EntryListException {
		if (adapter != null)
			adapter.entryChanged(this);
	}
}
